Subject: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: João Távora <[email-masked]>
Date: Mon, 20 Jan 2020 14:58:08 +0000

On Mon, Jan 20, 2020 at 2:54 PM Dmitry Gutov <[email-masked]> wrote:
>
> On 19.01.2020 16:00, João Távora wrote:
> > The second option looks pretty good, so you can just push that at will,
> > if no other objections.
>
> I'm not very familiar with the code. Do we really need the
> minibuffer-force-complete call there? I commented it out and can't see
> the difference.

I can't tell right now. But do you need to remove it to add the message
or is this a refactoring that you are thinking about?  Maybe do both
changes separately so that either can be reverted individually? Or
are they somehow connected?

> > Incidentally, I would also think it reasonable to
> > provide the same help text if there is a single partial match.
> Makes sense, but that sounds a bit more complicated. We don't show any
> message in this case now, do we?

I *think* the "[Matched]" message is shown.

João